info:
  name: elixPro - Get procedimento (?)
  type: http
  seq: 8

http:
  method: GET
  url: "{{elixProStudioUrl}}/eP/elixpro-studio/api/elixpro/procedimento?id_object=34334"
  params:
    - name: id_object
      value: "34334"
      type: query
  auth: inherit

runtime:
  scripts:
    - type: tests
      code: |-
        test("ISIPSESSION cookie found", function () {
          const isipsessionCookie = bru.cookies.get("ISIPSESSION");
          expect(isipsessionCookie).to.not.be.null;
          expect(isipsessionCookie).to.not.be.empty;
        });

settings:
  encodeUrl: true
  timeout: 0
  followRedirects: true
  maxRedirects: 5
  forwardAuthorizationHeader: false

examples:
  - name: example
    request:
      url: "{{elixProStudioUrl}}/eP/elixpro-studio/api/elixpro/procedimento?id_object=34334"
      method: GET
      params:
        - name: id_object
          value: "34334"
          type: query
    response:
      status: 200
      statusText: OK
      headers:
        - name: date
          value: Mon, 31 Aug 2026 13:35:32 GMT
        - name: server
          value: "Payara Server 6.2025.1 #badassfish"
        - name: content-security-policy
          value: "default-src https: data: 'unsafe-inline' 'unsafe-eval'; img-src 'self' blob: data: https:;"
        - name: content-type
          value: application/json;charset=UTF-8
        - name: content-length
          value: "3135"
        - name: x-frame-options
          value: SAMEORIGIN
        - name: strict-transport-security
          value: max-age=31536000; includeSubDomains
        - name: x-xss-protection
          value: "1"
        - name: x-content-type-options
          value: nosniff
        - name: referrer-policy
          value: unsafe-url
        - name: keep-alive
          value: timeout=10, max=500
        - name: connection
          value: Keep-Alive
      body:
        type: json
        data: |-
          {
            "ok": true,
            "data": {
              "index_row": {
                "id_genericschema": 164762,
                "offline": false,
                "typology": "schemadata",
                "id_object": 34334,
                "obj_field": "ID_SCHEMADATA",
                "id_link": 0,
                "link_children": [
                  0
                ],
                "link_parents": null,
                "other_links": null,
                "extendeddata": "<EXT description=\"\" title=\"WFProcedimento\"><SECTION key=\"SEC_0001\" order-key=\"ORD001\" title=\"Dati\"><COL0001 default=\"\" name=\"Tag\" order-key=\"ORD001\" read-only=\"no\" required=\"no\" search-default=\"no\" search-grouping=\"AND\" searchable=\"no\" title=\"Tag\" type=\"string\" visible=\"yes\" visible-in-search=\"no\" visible-in-search-backend=\"no\">gestione_siti_web_nuovo_wf</COL0001><COL0002 default=\"\" name=\"Titolo\" order-key=\"ORD002\" read-only=\"no\" required=\"no\" search-default=\"no\" search-grouping=\"AND\" searchable=\"no\" title=\"Titolo\" type=\"string\" visible=\"yes\" visible-in-search=\"no\" visible-in-search-backend=\"no\">Richiesta di fornitura nuovo sottodominio ed eventuale sito web tematico</COL0002><COL0004 default=\"&lt;non predefinito&gt;\" name=\"Attivo\" order-key=\"ORD003\" read-only=\"no\" required=\"no\" search-default=\"no\" search-grouping=\"AND\" searchable=\"no\" title=\"Attivo\" type=\"boolean\" visible=\"yes\" visible-in-search=\"no\" visible-in-search-backend=\"no\">true</COL0004></SECTION></EXT>",
                "col0001": "gestione_siti_web_nuovo_wf",
                "col0002": "Richiesta di fornitura nuovo sottodominio ed eventuale sito web tematico",
                "col0004": true
              },
              "id_object": 34334,
              "id_genericschema": 164762,
              "procedimento_tag": "gestione_siti_web_nuovo_wf",
              "titolo": "Richiesta di fornitura nuovo sottodominio ed eventuale sito web tematico",
              "attivo": true,
              "last_update_ts": "2026-07-08T14:01:32.961486Z",
              "moduli": [
                {
                  "index_row": {
                    "id_genericschema": 164763,
                    "offline": false,
                    "typology": "schemadata",
                    "id_object": 34334,
                    "obj_field": "ID_SCHEMADATA",
                    "id_link": 0,
                    "link_children": [
                      0
                    ],
                    "link_parents": null,
                    "other_links": null,
                    "extendeddata": "<EXT description=\"\" title=\"WFModulo\"><SECTION key=\"SEC_0001\" order-key=\"ORD001\" title=\"Dati\"><COL0001 default=\"\" name=\"Tag_Modulo\" order-key=\"ORD001\" read-only=\"no\" required=\"no\" search-default=\"no\" search-grouping=\"AND\" searchable=\"no\" title=\"Tag Modulo\" type=\"string\" visible=\"yes\" visible-in-search=\"no\" visible-in-search-backend=\"no\">RequestForm_GESTIONE_SITI_WEB_NUOVO</COL0001><COL0002 name=\"ID_gruppi_di_gestione\" order-key=\"ORD002\" read-only=\"no\" required=\"no\" search-default=\"no\" search-grouping=\"AND\" searchable=\"no\" title=\"ID gruppi di gestione\" type=\"string\" visible=\"yes\" visible-in-search=\"no\" visible-in-search-backend=\"no\">108,106,107</COL0002></SECTION></EXT>",
                    "col0001": "RequestForm_GESTIONE_SITI_WEB_NUOVO",
                    "col0002": "108,106,107"
                  },
                  "tag_modulo": "RequestForm_GESTIONE_SITI_WEB_NUOVO",
                  "gruppi_accesso_ids": [
                    108,
                    106,
                    107
                  ],
                  "gruppi_accesso": [
                    {
                      "id": 108,
                      "name": "Gestione Siti Web - Autorizzatore"
                    },
                    {
                      "id": 106,
                      "name": "Gestione Siti Web - U.O. Comunicazione"
                    },
                    {
                      "id": 107,
                      "name": "Gestione Siti Web - U.O. Sistemi Tecnologici e Infrastruttura"
                    }
                  ],
                  "gruppi_accesso_raw": "108,106,107",
                  "id_genericschema": 164763,
                  "titolo_modulo": "AREA SISTEMI INFORMATIVI - GESTIONE SITI WEB"
                }
              ]
            }
          }
